#! /bin/sh
filename=/proc/stb/info/model
filename_xres=/proc/stb/lcd/xres
filename_framecount=/etc/grautec/settings/framecount
filename_ownership=/etc/grautec/settings/takeownership
filename_noskin=/etc/grautec/settings/noskin
FRAMECOUNT=3
BOXNAME=$(cat $filename)
XRES=$(cat $filename_xres)
OLEDINT=/dev/dbox/oledint
#libusbscript=/etc/grautec/$BOXNAME/libs/install_libs.sh
updatescript=/etc/grautec/firmware/fupdate
#DEVICEAVAILABLE=$(lsusb | grep "16d0:054d" -c)
#GETVERSION=$(lsusb -d 16d0:054d -v | grep iSerial | cut -c29-34)

#kill previous usbtftdisplay processes
kill -15 $(pidof -s usbtftdisplay) 2> /dev/null
kill -15 $(pidof -s usbtftdisplay) 2> /dev/null
if [ $(ps ax | grep "usbtftdisplay" -c) -ne 1 ]; then
		kill -9 $(pidof -s usbtftdisplay) 2> /dev/null 
fi

kill -15 $(pidof -s usbtftdisplay-bmp) 2> /dev/null
kill -15 $(pidof -s usbtftdisplay-bmp) 2> /dev/null
if [ $(ps ax | grep "usbtftdisplay-bmp" -c) -ne 1 ]; then
		kill -9 $(pidof -s usbtftdisplay-bmp) 2> /dev/null 
fi

kill -15 $(pidof -s usbtftdisplay-brightness) 2> /dev/null
kill -15 $(pidof -s usbtftdisplay-brightness) 2> /dev/null
if [ $(ps ax | grep "usbtftdisplay-brightness" -c) -ne 1 ]; then
		kill -9 $(pidof -s usbtftdisplay-brightness) 2> /dev/null 
fi

kill -15 $(pidof -s tft-fifoflush) 2> /dev/null
kill -15 $(pidof -s tft-fifoflush) 2> /dev/null
if [ $(ps ax | grep "tft-fifoflush" -c) -ne 1 ]; then
		kill -9 $(pidof -s tft-fifoflush) 2> /dev/null
fi


rm -f /tmp/usbtft
rm -f /tmp/usbtft-bmp
rm -f /tmp/usbtft-brightness


#install libusb if not happened before
#if [ -e $libusbscript ];
#		then
#		$libusbscript
#		rm -f $libusbscript 
#fi

sleep 1

#Install Update if neccessary
#if [ -e $updatescript ];
#		then
#		$updatescript
#		if [ "$GETVERSION" = "DM8001" ]; then
#		    mv $updatescript $updatescript.sh
#		fi
#fi

#if usbtftdisplay available
#if [ $DEVICEAVAILABLE -eq 1 ]; 
#    then


if [ -e $filename_noskin ];
then
	if [ -e $filename_takeownership ];
	then

		mkfifo /tmp/usbtft-bmp
		mkfifo /tmp/usbtft-brightness

		/usr/bin/usbtftdisplay-bmp&
		/usr/bin/usbtftdisplay-brightness&

		sleep 1

		/usr/bin/tft-dream-mode-400x240&
	else
		/usr/bin/tft-dream-mode-128x64&
	fi
else
	mkdir -p /dev/dbox
	mkfifo /tmp/usbtft
	mkfifo /tmp/usbtft-bmp

	if [ -e $OLEDINT ];
	then
		rm -f /dev/dbox/oled0 
	else
		mv /dev/dbox/oled0 /dev/dbox/oledint
		rm -f /dev/dbox/oled0
		sleep 1
	fi
    
	#set high resolution
	if [ -e $filename_xres ];
	then
		if [ "$XRES" = "00000060" ];
		then 
			insmod /etc/grautec/$BOXNAME/tft_$BOXNAME.ko
		fi
		sleep 1
	else
		sleep 1
		insmod /etc/grautec/$BOXNAME/tft_$BOXNAME.ko
	fi
    
	#start delay in frames
	if [ -e $filename_framecount ];
	then
		rm -f $filename_framecount 
		echo $FRAMECOUNT >> $filename_framecount
	fi

	#start display 
	/usr/bin/usbtftdisplay&
	/usr/bin/tft-fifoflush&
	ln -s /tmp/usbtft /dev/dbox/oled0
fi




